User account creation filtered due to spam.

Bug 16131 - [4.0 Regression] internal compiler error: in create_tmp_var, at gimplify.c:361
Summary: [4.0 Regression] internal compiler error: in create_tmp_var, at gimplify.c:361
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: tree-optimization (show other bugs)
Version: 4.0.0
: P2 critical
Target Milestone: 4.0.0
Assignee: Not yet assigned to anyone
URL:
Keywords: ice-on-valid-code
Depends on:
Blocks: 8361
  Show dependency treegraph
 
Reported: 2004-06-22 08:38 UTC by Gerald Pfeifer
Modified: 2004-09-13 14:15 UTC (History)
3 users (show)

See Also:
Host: i686-pc-linux-gnu
Target: i686-pc-linux-gnu
Build: i686-pc-linux-gnu
Known to work:
Known to fail:
Last reconfirmed: 2004-06-22 08:49:06


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2004-06-22 08:38:51 UTC
Recent changes (< 48 hours) on mainline cause GCC to ICE when compiling the
well-known test case from PR8361:

% gccvs  8361.ii generate.C: In member function `bool  
MODEL_GENERATOR::onlyOneUndefAtomGreaterThanUpperGuard(constAGGREGATEATOM&,
constGINTERPRET&) const':
generate.C:3233: internal compiler error: in create_tmp_var, at gimplify.c:361

(This testcase is http://gcc.gnu.org/bugzilla/attachment.cgi?id=4415&action=view)
Comment 1 Gerald Pfeifer 2004-06-22 08:49:06 UTC
Richard^2, I'm afraid this was triggered by one of your recent changes.
Comment 2 Andrew Pinski 2004-06-22 15:10:41 UTC
I almost think this is Kenner's change as it causes a regression in the C++ testsuite which he said it 
did.
Comment 3 Richard Kenner 2004-06-22 18:25:12 UTC
Subject: Re:   [3.5 Regression] internal compiler error: in create_tmp_var, at gimplify.c:361

    I almost think this is Kenner's change as it causes a regression in
    the C++ testsuite which he said it did.

It's likely to be my change, but if my memory is correct the testsuite
regression causes an ICE elsewhere (verify_stmt, I think).
Comment 4 Andrew Pinski 2004-06-25 04:06:16 UTC
Fixed.